%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?rhel} > 7
%global with_python3 1
%global with_python2 0
%else
%global with_python2 1
%endif

%global srcname flask-restful
%global sum Simple framework for creating REST APIs for Flask

Name:           python-%{srcname}
Version:        0.3.6
Release:        13%{?dist}.1
Summary:        %{sum}

Group:          Development/Languages
License:        BSD
URL:            https://www.github.com/%{srcname}/%{srcname}/
Source0:        https://github.com/%{srcname}/%{srcname}/archive/%{version}.tar.gz
Patch0:         python-flask-restful.remove_q0_testcase.patch
Patch1:         0001-Fix-arguments-with-type-list-705.patch
Patch2:         0002-Support-aniso8601-3.0-in-tests.patch
# https://github.com/flask-restful/flask-restful/pull/762
# should be hopefully merged into release > 0.3.6
Patch3:         0003-Fix-tests_api-list-traceback.patch

BuildArch:      noarch

%if 0%{?with_python2}
# those are needed for tests:
%if 0%{?rhel} || 0%{?fedora} <= 27
BuildRequires:  python-flask
BuildRequires:  python-six
BuildRequires:  python-aniso8601
BuildRequires:  pytz
%else
BuildRequires:  python2-flask
BuildRequires:  python2-six
BuildRequires:  python2-aniso8601
BuildRequires:  python2-pytz
%endif
BuildRequires:  python2-devel

%if 0%{?rhel} || 0%{?fedora} <= 27
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-blinker
BuildRequires:  python-crypto
%else
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-mock
BuildRequires:  python2-blinker
BuildRequires:  python2-crypto
%endif
%endif # with_python2

%if 0%{?with_python3}
BuildRequires:  python3-flask
BuildRequires:  python3-six
BuildRequires:  python3-aniso8601
BuildRequires:  python3-pytz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-blinker
BuildRequires:  python3-crypto
BuildRequires:  python3-werkzeug > 0.14
%endif

%description
Flask-RESTful is Python extension for Flask that adds support
for quickly building REST APIs. It is a lightweight abstraction
that works with your existing ORM/libraries.

%if 0%{?with_python2}
%package -n python2-%{srcname}
Summary:        %{sum}
%if 0%{?rhel} || 0%{?fedora} <= 27
Requires:       python-flask
Requires:       python-six
Requires:       python-aniso8601
Requires:       pytz
%else
Requires:       python2-flask
Requires:       python2-six
Requires:       python2-aniso8601
Requires:       python2-pytz
%endif
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Flask-RESTful is Python 2 extension for Flask that adds support
for quickly building REST APIs. It is a lightweight abstraction
that works with your existing ORM/libraries.
%endif # with_python2

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-flask
Requires:       python3-six
Requires:       python3-aniso8601
Requires:       python3-pytz
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Flask-RESTful is Python 3 extension for Flask that adds support
for quickly building REST APIs. It is a lightweight abstraction
that works with your existing ORM/libraries.
%endif

%prep
%setup -qn %{srcname}-%{version}
rm -rf docs/_themes/.gitignore
%patch0
%patch1
%patch2
%patch3 -p1

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif

%check
%if 0%{?with_python2}
%{__python2} setup.py test
%endif
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%if 0%{?with_python2}
%files -n python2-%{srcname}
%doc AUTHORS.md README.md examples/ docs/
%license LICENSE
%{python2_sitelib}/*
%endif

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc AUTHORS.md README.md examples/ docs/
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 0.3.6-13.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 0.3.6-13
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 0.3.6-12
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 0.3.6-11
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 0.3.6-10
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 0.3.6-9
- rebuilt

* Mon Jan 28 2019 Lon Hohberger <lon@redhat.com> - 0.3.6-8
- Drop python2 build
- Fix werkzeug requirement

* Tue Jun 26 2018 Kamil Páral <kparal@redhat.com> - 0.3.6-7
- Add Patch3 to fix tests

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.6-6
- Rebuilt for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.6-5
- Rebuilt for Python 3.7

* Mon Jun 04 2018 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.3.6-4
- Backport upstream fix: Support-aniso8601-3.0-in-tests

* Thu Mar 29 2018 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.3.6-3
- Backport upstream fix: Fix-arguments-with-type-list-705

* Mon Mar 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.6-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Mar 15 2018 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.3.6-1
- Update to 0.3.6

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.5-5
- Rebuild for Python 3.6

* Mon Oct 17 2016 Ralph Bean <rbean@redhat.com> - 0.3.5-4
- Conditionalize python3 package for EPEL7.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 Jan Sedlak <jsedlak@redhat.com> - 0.3.5-1
- update to newest version

* Fri Nov 13 2015 Jan Sedlak <jsedlak@redhat.com> - 0.3.4-3
- change specfile to be more aligned with guidelines

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Aug 20 2015 Jan Sedlak <jsedlak@redhat.com> - 0.3.4-1
- update version, correct project URL

* Tue Jul 07 2015 Jan Sedlak <jsedlak@redhat.com> - 0.3.3-1
- package newest version

* Wed Jan 22 2014 Jan Sedlak <jsedlak@redhat.com> - 0.2.11-1
- initial packaging
